<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PlanningSelection_V2 StructType
 * @subpackage Structs
 */
class PlanningSelection_V2 extends AbstractStructBase
{
    /**
     * The Item
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlanningItemSelection
     */
    public $Item;
    /**
     * The Historical
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlanningHistoricalSelection_V2
     */
    public $Historical;
    /**
     * The Options
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlanningOptionsSelection
     */
    public $Options;
    /**
     * Constructor method for PlanningSelection_V2
     * @uses PlanningSelection_V2::setItem()
     * @uses PlanningSelection_V2::setHistorical()
     * @uses PlanningSelection_V2::setOptions()
     * @param \StructType\PlanningItemSelection $item
     * @param \StructType\PlanningHistoricalSelection_V2 $historical
     * @param \StructType\PlanningOptionsSelection $options
     */
    public function __construct(\StructType\PlanningItemSelection $item = null, \StructType\PlanningHistoricalSelection_V2 $historical = null, \StructType\PlanningOptionsSelection $options = null)
    {
        $this
            ->setItem($item)
            ->setHistorical($historical)
            ->setOptions($options);
    }
    /**
     * Get Item value
     * @return \StructType\PlanningItemSelection|null
     */
    public function getItem()
    {
        return $this->Item;
    }
    /**
     * Set Item value
     * @param \StructType\PlanningItemSelection $item
     * @return \StructType\PlanningSelection_V2
     */
    public function setItem(\StructType\PlanningItemSelection $item = null)
    {
        $this->Item = $item;
        return $this;
    }
    /**
     * Get Historical value
     * @return \StructType\PlanningHistoricalSelection_V2|null
     */
    public function getHistorical()
    {
        return $this->Historical;
    }
    /**
     * Set Historical value
     * @param \StructType\PlanningHistoricalSelection_V2 $historical
     * @return \StructType\PlanningSelection_V2
     */
    public function setHistorical(\StructType\PlanningHistoricalSelection_V2 $historical = null)
    {
        $this->Historical = $historical;
        return $this;
    }
    /**
     * Get Options value
     * @return \StructType\PlanningOptionsSelection|null
     */
    public function getOptions()
    {
        return $this->Options;
    }
    /**
     * Set Options value
     * @param \StructType\PlanningOptionsSelection $options
     * @return \StructType\PlanningSelection_V2
     */
    public function setOptions(\StructType\PlanningOptionsSelection $options = null)
    {
        $this->Options = $options;
        return $this;
    }
}
